Ask / Submit

Revision history [back]

click to hide/show revision 1
initial version

posted 2016-04-07 17:49:47 +0300

Jolla tablet and Kodi app (android), how to ?

Hi to all.
Someone know how to make this app (Kodi) work on our tablet ?
It installed from Google play without any problem, but when I start it, I get this error:
This Kodi package is not compatible with your device (device=arm vs. package=x86). Please check Kodi Android Wiki for more information.
Wiki have two links:
kodi-16.0-Jarvis-armeabi-v7a.apk
kodi-16.0-Jarvis-x86.apk

First can't be installed and second one installed without any problem like from Google play, but on start I also get the same error.
I also tried to install lowest version from Aptoide store, but get the same result.
Any Idea how to make it work ?
Thanks

[How to] Install Kodi app on your Jolla tablet and Kodi app (android), how to ?tablet.

Update (09.04.2016):
Small instruction how to install Kodi app on your Jolla tablet.
1. Download this package from naytsyrhc's link (thanks), yes, it should be NOT x86 package:
http://ftp.halifax.rwth-aachen.de/xbmc/releases/android/arm/old/kodi-14.2-Helix-armeabi-v7a.apk
2. Install it with any file manager. I used FileTug app.
3. Start it -> setup it -> and use it :)
4. If you have Google play or any other android stores, remember to disable auto-update on Kodi app.

I already tried to upgrade to many different versions of 15, 16 and 17 (both x86 and armeabi-v7a).. But no one is worked.


Original post:
Hi to all.
Someone know how to make this app (Kodi) work on our tablet ?
It installed from Google play without any problem, but when I start it, I get this error:
This Kodi package is not compatible with your device (device=arm vs. package=x86). Please check Kodi Android Wiki for more information.
Wiki have two links:
kodi-16.0-Jarvis-armeabi-v7a.apk
kodi-16.0-Jarvis-x86.apk

First can't be installed and second one installed without any problem like from Google play, but on start I also get the same error.
I also tried to install lowest version from Aptoide store, but get the same result.
Any Idea how to make it work ?
Thanks

[How to] Install Kodi app on your Jolla tablet.

Update (09.04.2016):
Small instruction how to install Kodi app on your Jolla tablet.
1. Download this package from naytsyrhc's link (thanks), yes, it should be NOT x86 package:
http://ftp.halifax.rwth-aachen.de/xbmc/releases/android/arm/old/kodi-14.2-Helix-armeabi-v7a.apk
2. Install it with any file manager. I used FileTug app.
3. Start it -> setup it -> and use it :)
4. If you have Google play or any other android stores, remember to disable auto-update on Kodi app.

I already tried to upgrade to many different versions of 15, 16 and 17 (both x86 and armeabi-v7a).. But no one is worked.
Hope one day, someone will create native Kodi app for SailfishOS...



Original post:
Hi to all.
Someone know how to make this app (Kodi) work on our tablet ?
It installed from Google play without any problem, but when I start it, I get this error:
This Kodi package is not compatible with your device (device=arm vs. package=x86). Please check Kodi Android Wiki for more information.
Wiki have two links:
kodi-16.0-Jarvis-armeabi-v7a.apk
kodi-16.0-Jarvis-x86.apk

First can't be installed and second one installed without any problem like from Google play, but on start I also get the same error.
I also tried to install lowest version from Aptoide store, but get the same result.
Any Idea how to make it work ?
Thanks